Subject: UKTeX Digest V94 #33
From: [email-masked]
To: UKTeX Distribution: ;
Date: Fri, 02 Sep 1994 17:55:47 +0100

UKTeX Digest    Friday,  2 Sep 1994    Volume 94 : Issue 33

Today's Topics:
                          RE: psboxit macros
                          Postscript macros
                        Re: Postscript macros
                        Re: Postscript macros
                        Re: Postscript macros
                        Re: Postscript macros
                    temporary immortality offered

Administrivia:
    Moderators:     Peter Abbott (UK TeX Users Group) and
                    David Osborne (University of Nottingham)
    Contributions:  [email-masked]
    Subscription and unsubscription requests: [email-masked]
    (message body = "subscribe uktex" or "unsubscribe uktex", [no quotes])

----------------------------------------------------------------------

Date:    Fri, 26 Aug 1994 12:47:15 -0500
From:    "George D. Greenwade" <[email-masked]>
Subject: RE: psboxit macros

In UKTeX Digest V94 #32 (Fri, 26 Aug 1994 15:45:44 +0100),
[email-masked] (Joop Jansen) asked:
> I read in the LaTeX companion that there should exist a macro package
> psboxit which allows you to print text on a grey background.  I have not
> been able to find it however.  Could anyone tell where it is?

The file I believe being referred to is in
 /tex-archive/macros/latex209/contrib/misc/psboxit.sty
on the CTAN hosts (ftp.TeX.ac.uk, ftp.DANTE.de, ftp.SHSU.edu, and their
mirrors).  Definitely the same author and same filename identified in TLC. 
I'll admit that I haven't used this with 2e (yet), but it worked marvelously
under 2.09.  Also, unless there's something I've inadvertantly overlooked,
the file doesn't appear to need any retrofitting to be compatible with 2e.

For reference, you can always use the command
 quote site index psboxit
in an interactive ftp session on the CTAN hosts to get a listing of where
all files with the (case insensitive) string "psboxit" reside.  This
command will NOT work if you use a hyphen as the first character of your
password -- messages from the ftp server must be left turned on.  Also,
some ftp clients may not require the "quote" part of the example above;
your mileage may vary.  Obviously, replace "psboxit" with whatever it is
you are looking for.

Finally, to get a listing of the mirrors of the CTAN (now at 20 full or
partial mirrors in 11 countries on 4 continents -- sorry for the plug; you
don't know how good that feels to those of us involved with this monster!)
you can "finger" the address
 [email-masked]
and get a listing or you can retrieve the file tex-archive/CTAN.sites from
one of the CTAN hosts.

Regards,   George

George D. Greenwade, Ph.D.                       Internet: [email-masked]
Department of Economics and Business Analysis      THEnet:    SHSU::BED_GDG
College of Business Administration                  Voice:   (409) 294-1266
Sam Houston State University                          FAX:   (409) 294-3612
Huntsville, TX 77341-2118 USA

------------------------------

Date:    01 Sep 1994 14:34:59 +0000
From:    [email-masked] (Karl Glazebrook)
Subject: Postscript macros

Hi,

I was wondering if any reader of this group can recommend
a powerful macro package for including postscript figures?

I am aware there are sveral packages around and have played
with a few in the past, none of them being particularly
satisfactory.

What I am really after is a package which can cope with
all kinds of perverse postscript files, not just encapsulated
well structured one. You see I use various software packages, with
all kinds of postscript drivers to produce figures. So
I want something robust enough to allow me to flexibly handle
anything called "postscript" which is thrown at me. 

Ideally it would also allow me to scale and rotate figures
easily.

I use the dvips (5.518) that comes with TeX C version 3.141
though I would be prepared to switch.

Karl, who is sick of scissors and sellotape.

   email: [email-masked]  WWW: http://cast0.ast.cam.ac.uk/~kgb/
finger: [email-masked]  body: Institute of Astronomy,Cambridge,UK
     "UNIX, it's not just for breakfast anymore." --- Jeff Weisberg

------------------------------

Date:    01 Sep 1994 16:27:06 +0000
From:    [email-masked] (Robin Fairbairns)
Subject: Re: Postscript macros

In article <[email-masked]>,
Karl Glazebrook <[email-masked]> wrote:
>I was wondering if any reader of this group can recommend
>a powerful macro package for including postscript figures?
>
>I am aware there are sveral packages around and have played
>with a few in the past, none of them being particularly
>satisfactory.
>
>What I am really after is a package which can cope with
>all kinds of perverse postscript files, not just encapsulated
>well structured one. You see I use various software packages, with
>all kinds of postscript drivers to produce figures. So
>I want something robust enough to allow me to flexibly handle
>anything called "postscript" which is thrown at me. 
>
>Ideally it would also allow me to scale and rotate figures
>easily.

You don't say what macros you want it to work with: I know about plain
TeX (though I hardly ever use it), LaTeX2.09 (which I've pretty much
given up) and LaTeX2e.

You're probably asking more than the world can supply (since I
occasionally receive `PostScript' which no _printer_ here can deal
with, expecting that of a macro package is probably rather much), but
the LaTeX2e graphics package seems pretty robust as these things go,
and it does what you want.  Of course, if the input isn't encapsulated
PostScript, you have to tell the macros vital things like the actual
size of the picture.

>I use the dvips (5.518) that comes with TeX C version 3.141
>though I would be prepared to switch.

It's not the most up to date, but then your TeX isn't either.  dvips
is one of many that the graphics package supports, and it's the one
with the fullest feature set.  You'll probably not have to change.
- --
Robin (Campaign for the Third Programme) Fairbairns  [email-masked]
U of Cambridge Computer Lab, Pembroke St, Cambridge  CB2 3QG, UK
Private page: http://www.cl.cam.ac.uk/users/rf/robin.html

------------------------------

Date:    01 Sep 1994 16:37:33 +0000
From:    [email-masked] (Martyn Johnson)
Subject: Re: Postscript macros

In article <[email-masked]>, [email-masked] (Karl Glazebr
ook) writes:
...
> I was wondering if any reader of this group can recommend
> a powerful macro package for including postscript figures?
...
> What I am really after is a package which can cope with
> all kinds of perverse postscript files, not just encapsulated
> well structured one. You see I use various software packages, with
> all kinds of postscript drivers to produce figures.

No powerful macro package can help you.  At the end of the day
all of them just emit a \special command which tells dvips to
insert the PostScript file.  The PostScript fundamentally has
to be "clean" enough to run in the environment that the PostScript
generated by dvips presents it with.

I think your only hope is something that can take your PostScript
and do a partial interpretation of it, and producing as output
a "clean" PostScript program which generates the equivalent graphics
primitives.  I have a vague feeling that somebody once told me of
such a beast, but I can't place the details at the moment. Can
ghostscript be made to do anything of the sort, I wonder?

- -- 
Martyn Johnson      [email-masked]
University of Cambridge Computer Lab
Cambridge UK

------------------------------

Date:    02 Sep 1994 10:41:35 +0100
From:    "M.P.Ward" <[email-masked]>
Subject: Re: Postscript macros

In article <[email-masked]>,
Martyn Johnson <[email-masked]> wrote:
>[email-masked] (Karl Glazebrook) writes:
>...
>> What I am really after is a package which can cope with
>> all kinds of perverse postscript files, not just encapsulated
>> well structured one. You see I use various software packages, with
>> all kinds of postscript drivers to produce figures.
>
>I think your only hope is something that can take your PostScript
>and do a partial interpretation of it, and producing as output
>a "clean" PostScript program which generates the equivalent graphics
>primitives.  I have a vague feeling that somebody once told me of
>such a beast, but I can't place the details at the moment. Can
>ghostscript be made to do anything of the sort, I wonder?

Yes, ghostscript can! I have used it to interpret "perverse postscript
files" which were too perverse for my printer. I used Ghostscript to
interpret the file and generate a 300dpi pbm file (portable bitmap).
The pbmplus package includes a program which turns a pbm file back into
postscript. Of course, it generates nice encapsulated postscript
(but resolution dependent, and HUGE!).

Here's a perl script I call pstops (convert PostScript to PostScript!)
which uses gohstscript and pbmtops:

                        Martin.

JANET: [email-masked]    Internet (eg US): [email-masked]
or if that fails:  [email-masked]  
or even: [email-masked]
BITNET: Martin.Ward%durham.ac.uk@UKACRL UUCP:...!uknet!durham!Martin.Ward

#!/usr/local/bin/perl
# pstops file
# Use GhostScript to convert a ps file to one or more pbm files.
# Then use pnmtops to convert the result(s) back to PostScript.
# Why? Because some stupid printers may not be able to handle
# the original PostScript, but may be able to handle a huge bitmap.
#

($myname = $0) =~ s|(.*/)*||;   # strip path component from name
$Usage = "Usage: $myname input [output] \n";
# Check one or two arguments:
die $Usage if (($#ARGV < 0) || ($#ARGV > 1));

$HOME = $ENV{'HOME'} || $ENV{'LOGDIR'} ||
                (getpwuid($<))[7] || die "You're homeless!\n";
$USER = $ENV{'USER'} || getlogin ||
                (getpwuid($<))[0] || die "You're nameless!\n";

$input = $ARGV[0];
$input =~ s/\.ps$//;
if ($#ARGV == 1) {
  $output = $ARGV[1];
} else {
  $output .= "$input.psbit";
}
die "File `$input.ps' not found!\n" unless (-f "$input.ps");

# Run ghostscript:
open (GS, "|gs -dNODISPLAY");
print GS <<END;
(pstoppm.ps) run 
300 300 ppmsetdensity 
(./) ppmsetprefix
($input) ppm1run
quit
END
close (GS);

print "\n\n";
 
# Run pnmtops on the generated .ppm file(s) and delete them:
@files = <$input.*ppm>;
foreach $file (@files) {
  print "Processing $file...\n";
  ($num = $file) =~ s/^$input\.(.*)ppm$/$1/;
  # add leading zeros to $num:
  $num = sprintf("%03d", $num);
  system "pnmtops -rle -scale .25 -width 9 -height 12 $file > $output$num"; 
  unlink ($file);
}

# End of pstops

------------------------------

Date:    Fri, 02 Sep 1994 08:56:34 +0100
From:    Malcolm Clark <[email-masked]>
Subject: temporary immortality offered

i received the following from leslie lamport regarding
typos in the 2e of the latex manual:

> Thanks for the typo report.  Yours is the first.  I've been informed
> that A-W is producing a second printing.  To get typos corrected, I
> need to provide them with the corrected pages by early September.
> 
> As an incentive, assuming A-W has no objections, I intend to add to
> the preface an acknowledgement of everyone who reports previously
> unreported typos.  So, please tell your colleagues, friends,
> relatives, pen pals, and creditors that this is their chance for
> immortality (of fairly short duration).
> 
> From [email-masked] Tue Aug  9 15:38:01 1994

malcolm clark

------------------------------
                                        
                            UK TeX Archive
                         >>>  tex.ac.uk  <<<
         Part of the Comprehensive TeX Archive Network (CTAN)

                          tex.ac.uk -- mail
                           [[email-masked]]

                    ftp.tex.ac.uk -- anonymous ftp
        [username: anonymous, password: <your-e-mail-address>]

                  gopher.tex.ac.uk -- Gopher access

                www.tex.ac.uk -- World-Wide Web access
                [URL http://www.tex.ac.uk/tex-archive]

                     nfs.tex.ac.uk -- NFS access
               [nfs.tex.ac.uk:/public/ctan/tex-archive]

\section Files of Interest

    tex-archive/00Contents
    tex-archive/CTAN.sites
    tex-archive/FILES.bydate
    tex-archive/FILES.byname
    tex-archive/FILES.bysize
    tex-archive/MAP
    tex-archive/README.archive-features
    tex-archive/README.site-commands
    tex-archive/README.uploads

\section Digests

    This year's UKTeX back issues are stored in the archive in directory
      tex-archive/digests/uktex/94
    This year's TeXhax back issues are stored in the archive in directory
      tex-archive/digests/texhax/94
      Latest TeXhax: V94 #07

\section Media Distributions
    Postal addresses are given below.

\subsection Washington Unix TeX distribution tape
    Our latest copy of May/June 1991 contains:
    TeX 3.14, LaTeX 2.09, Metafont 2.7, plus many utilities
    suitable for Unix 4.2/4.3BSD & System V
    tar format, 1 file (36Mb)

    Send One Quarter-Inch Cartridge, QIC-120 or QIC-150 format
    (DC600A or DC6150) with envelope AND stamps for return
    postage to David Osborne (address below); regret that due to currency
    exchange difficulties, this service is offered only within the UK.

\section TeX Implementations for Small Computers

\subsection PC and Mac disks

    From January 1994 the UK TeX Users' Group is distributing an
    emTeX kit for PCs, and an OzTeX kit for Macintosh. The cost
    covers copying and postage costs, and the shareware fee for
    OzTeX.  Each set costs \pounds30, and is available from
    Peter Abbott, 1 Eymore Close, Selly Oak, Birmingham B29 4LB.
    Cheques must be payable to `UKTUG'. Please note that this
    service **is available to UKTUG members only.**

    Each set comes with an installation guide, and (at least)
    full TeX and Metafont, a previewer, a PostScript driver, and
    CM fonts. Two update disks a year will be sent out
    automatically, with the current version of LaTeXe, and other
    goodies. A subscription service will be available for
    subsequent years. In addition, subscribers can request up to
    3 disks a year with any material from the CTAN archives, but
    this will be supplied `as is', without instructions.

    OzTeX and emTeX are also available on disk from TeX Users Group;
    mail TUG for details.

\subsection TeX for the Atari ST

    Enquiries for TeX for the Atari ST etc. can be directed to:
    The Fast Club, 7 Musters Road, Nottingham NG2 7PP. Phone
    0602 455250, fax 0602 455305. They also supply a variety of
    TeX-related software in Atari format.

    Enquiries for disks etc. can also be directed to:
    The South West Software Library, P.O. Box 562, Wimborne, Dorset BH21 2YD
    Internet: [email-masked]

\section Postage Rates

    Quarter-inch cartridges: UK: GBP 1.00,  Europe: GBP 2.00.

\section Postal Addresses

    Please include SELF-ADDRESSED ADHESIVE LABELS for return postage.

    Peter Abbott
    1 Eymore Close, Selly Oak, Birmingham B29 4LB
    Internet: [email-masked]

    David Osborne
    Cripps Computing Centre, University of Nottingham, Nottingham NG7 2RD
    (for Unix cartridges ONLY -- MUST include stamps for return postage)
    Internet: [email-masked]

    TeX Users Group
    P.O. Box 869, Santa Barbara, CA 93102, USA.
    Internet: [email-masked]
    
\section UK TeX Users Group

    Details available from
    Jonathan Fine, 203 Coldhams Lane, Cambridge CB1 3HY, UK
    or from
    Internet: [email-masked]
    or from
    World-Wide Web server: http://www.tex.ac.uk/UKTUG/home.html

\bye

End of UKTeX Digest [Volume 94 Issue 33]
****************************************